Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x500.style
Class BCStrictStyle

    java.lang.Object
      org.bouncycastle.asn1.x500.style.AbstractX500NameStyle
          org.bouncycastle.asn1.x500.style.BCStyle
              org.bouncycastle.asn1.x500.style.BCStrictStyle

All Implemented Interfaces:
  X500NameStyle

public class BCStrictStyle
extends BCStyle

Variation of BCStyle that insists on strict ordering for equality and hashCode comparisons

Field Summary
`static X500NameStyle` | `INSTANCE`

Fields inherited from class org.bouncycastle.asn1.x500.style.BCStyle
`BUSINESS_CATEGORY, C, CN, COUNTRY_OF_CITIZENSHIP, COUNTRY_OF_RESIDENCE, DATE_OF_BIRTH, DC, defaultLookUp, defaultSymbols, DESCRIPTION, DMD_NAME, DN_QUALIFIER, E, EmailAddress, GENDER, GENERATION, GIVENNAME, INITIALS, JURISDICTION_C, JURISDICTION_L, JURISDICTION_ST, L, NAME, NAME_AT_BIRTH, O, ORGANIZATION_IDENTIFIER, OU, PLACE_OF_BIRTH, POSTAL_ADDRESS, POSTAL_CODE, PSEUDONYM, ROLE, SERIALNUMBER, SN, ST, STREET, SURNAME, T, TELEPHONE_NUMBER, UID, UNIQUE_IDENTIFIER, UnstructuredAddress, UnstructuredName`

Constructor Summary
`BCStrictStyle()`

Method Summary
`boolean` | `areEqual(X500Name name1, X500Name name2)` Return true if the two names are equal.

Methods inherited from class org.bouncycastle.asn1.x500.style.BCStyle
`attrNameToOID, encodeStringValue, fromString, oidToAttrNames, oidToDisplayName, toString`

Methods inherited from class org.bouncycastle.asn1.x500.style.AbstractX500NameStyle
`calculateHashCode, copyHashTable, rdnAreEqual, stringToValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final X500NameStyle INSTANCE

Constructor Detail

### BCStrictStyle

    public BCStrictStyle()

Method Detail

### areEqual

    public boolean areEqual(X500Name name1,
                            X500Name name2)

  Description copied from interface: `X500NameStyle`
  Return true if the two names are equal.

  Specified by:
    `areEqual` in interface `X500NameStyle`
  Overrides:
    `areEqual` in class `AbstractX500NameStyle`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD